{
  "name": "@huntsman-cancer-institute/reporting-framework",
  "version": "11.5.0",
  "description": "A component for displaying reports from the reporting framework and running them.",
  "contributors": ["Ariel Ross"],
  "publishConfig": {
    "registry": "https://registry.npmjs.org",
    "access": "public"
  },
  "repository": "https://gitlab.com/huntsman-cancer-institute/risr/ng/hci-ng/hci-ng.git",
  "scripts": {
    "build": "npm run clean && npm run ngc && npm run doc && npm run karma start && npm run copyfiles package.json dist/",
    "clean": "npm run rimraf dist/ index.js index.d.ts index.ngsummary.json index.metadata.json index.js.map src/**/*.js src/**/*.ngfactory.ts src/**/*.d.ts src/**/*.js.map src/**/*.ngsummary.json src/**/*.metadata.json code-coverage",
    "compodoc": "compodoc",
    "copyfiles": "copyfiles",
    "copyToDist": "npm run copyfiles -- package.json README.md dist/",
    "doc": "npm run compodoc -- src -p ./tsconfig.json -d docs -n '@huntsman-cancer-institute/reporting-framework'",
    "karma": "karma",
    "ngc": "ngc",
    "npmPack": "npm run build && npm run copyToDist && cd dist && npm pack",
    "npmPublish": "npm run build && npm run copyToDist && cd dist && npm publish",
    "rimraf": "rimraf",
    "postinstall": ""
  },
  "main": "index.js",
  "module": "index.js",
  "typings": "index.d.ts",
  "files": ["index.+(js|d.ts|js.map|metadata.json)", "src/**/!(*spec).+(js|d.ts|js.map|metadata.json)"],
  "dependencies": {
    "moment": "^2.19.1",
    "@huntsman-cancer-institute/dictionary-service": "^11.x",
    "@huntsman-cancer-institute/input": "^11.x"
  },
  "optionalDependencies": {},
  "peerDependencies": {
    "@angular/common": "^11.0.0",
    "@angular/core": "^11.0.0",
    "@angular/material": "^11.0.0",
    "@huntsman-cancer-institute/dictionary-service": "^11.x",
    "@huntsman-cancer-institute/input": "^11.x",
    "@ng-bootstrap/ng-bootstrap": "9.1.x",
    "bootstrap": ">=4.3.1 <4.4.0"
  },
  "devDependencies": {
    "@angular/animations": "^11.0.0",
    "@angular/cdk": "^11.0.0",
    "@angular/common": "^11.0.0",
    "@angular/compiler": "^11.0.0",
    "@angular/compiler-cli": "^11.0.0",
    "@angular/core": "^11.0.0",
    "@angular/forms": "^11.0.0",
    "@angular/material": "^11.0.0",
    "@angular/material-moment-adapter": "^11.0.0",
    "@angular/platform-browser": "^11.0.0",
    "@angular/platform-browser-dynamic": "^11.0.0",
    "@angular/router": "^11.0.0",
    "@compodoc/compodoc": "^1.1.11",
    "@ng-bootstrap/ng-bootstrap": "9.1.x",
    "@types/jasmine": "^2.5.53",
    "@types/node": "^6.0.48",
    "@types/webpack": "4.1.2",
    "ag-grid-angular": "^23.2.1",
    "ag-grid-community": "^23.2.1",
    "angular2-cool-storage": "3.1.5",
    "awesome-typescript-loader": "^3.2.3",
    "angular2-template-loader": "^0.6.2",
    "copyfiles": "^1.2.0",
    "core-js": "^2.4.1",
    "del": "^2.2.1",
    "fs": "^0.0.2",
    "immutable": "^3.8.1",
    "inline-source-map": "^0.6.2",
    "istanbul-instrumenter-loader": "2.0.0",
    "jasmine-core": "^2.6.2",
    "karma": "^1.7.0",
    "karma-chrome-launcher": "^2.1.1",
    "karma-coverage": "^1.1.1",
    "karma-jasmine": "^1.1.0",
    "karma-mocha-reporter": "^2.2.3",
    "karma-remap-coverage": "^0.1.4",
    "karma-sourcemap-loader": "^0.3.7",
    "karma-webpack": "2.0.3",
    "minimist": "^1.2.0",
    "reflect-metadata": "^0.1.3",
    "rimraf": "^2.6.1",
    "rxjs": "6.4.x",
    "rxjs-compat": "6.4.x",
    "source-map-loader": "^0.2.1",
    "tslint": "^4.5.1",
    "typescript": "4.0.x",
    "webpack": "3.11.0",
    "webpack-dev-middleware": "1.12.0",
    "webpack-dev-server": "2.7.1",
    "webpack-merge": "4.1.0",
    "zone.js": "^0.11.4",
    "angular-resize-event": "1.2.1",
    "ngx-take-until-destroy": "5.4.x"
  }
}